Package ru.bitel.bgbilling.modules.rscm.server.event

# Class RSCMContractServiceUpdateEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.modules.rscm.server.event.RSCMContractServiceUpdateEvent

All Implemented Interfaces:
  `Serializable`

public class RSCMContractServiceUpdateEvent extends ru.bitel.bgbilling.kernel.event.common.QueueEvent
Асинхронное событие - изменения/добавления услуги RSCM в договор.
Унаследован от `QueueEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `RSCMContractServiceUpdateEvent()`
  ``
  `RSCMContractServiceUpdateEvent(int userId, int moduleId, int contractId, RSCMContractService contractService)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RSCMContractService`
  `getContractService()`
  Возвращает изменяемую/добавляемую услугу.
  `int`
  `getTypeId()`
  Deprecated.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RSCMContractServiceUpdateEvent

    protected RSCMContractServiceUpdateEvent()

  - ### RSCMContractServiceUpdateEvent

    public RSCMContractServiceUpdateEvent(int userId, int moduleId, int contractId, RSCMContractService contractService)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `moduleId` - - код модуля
      `contractId` - - код договора
      `contractService` - - услуга rscm модуля

- ## Method Details

  - ### getTypeId

    @Deprecated public int getTypeId()
    Deprecated.
    Использовать проверку instanceof.
    Overrides:
      `getTypeId` in class `ru.bitel.bgbilling.kernel.event.common.Event`

  - ### getContractService

    public RSCMContractService getContractService()
    Возвращает изменяемую/добавляемую услугу.
    Returns:
      contractService - услуга